www.cendio.com

Bug 6042

Summary: Upgrade OpenSSL to latest version
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: Build systemAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, samuel@cendio.se
Version: trunkKeywords: ossman_tester, relnotes
Target Milestone: 4.8.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2016-10-05 10:15:13
OpenSSL: using 1.0.2h, latest is 1.0.2j:

https://www.openssl.org/source/
https://www.openssl.org/news/cl102.txt
------- Comment #1 From cendio 2016-11-15 09:18:32 -------
OpenSSL 1.1.0 is now stable, this does bring API changes however. This causes
problems with rdesktop. We also have two patches in our build system for
OpenSSL which don't apply for 1.1.0.

OpenSSL's webpage says:

> The 1.0.1 version is currently only receiving security bug fixes and all support will be discontinued for this version on 31st December 2016.

So I will simply upgrade to 1.0.2j for 4.8.0 and we will have to take the
bigger step up to 1.1.0 for next release.
------- Comment #3 From cendio 2016-11-15 12:40:33 -------
Should be fixed now. I have done a repo rebuild and synced to our build server.
I have also built the thinlinc client and rdesktop with the new cenbuild rpms.
------- Comment #4 From cendio 2016-11-17 16:28:20 -------
rdesktop seems to work fine after the upgrade. Tested against 2008R2.
------- Comment #5 From cendio 2016-11-21 14:32:21 -------
Client tests done on bug 6041.